#
# spec file for package sysuser-tools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sysuser-tools
Version:        2.0
Release:        lp152.4.114
Summary:        Auto provides for system users
License:        MIT
Group:          System/Packages
Source:         sysusers.prov
Source1:        sysusers.attr
Source2:        sysusers-generate-pre
Source3:        macros.sysusers
Source4:        sysusers2shadow.sh
BuildArch:      noarch
Requires:       sysuser-shadow
#!BuildIgnore:  sysuser-shadow
#!BuildIgnore:  sysuser-tools

%description
Generate auto provides for system users.

%package -n sysuser-shadow
Summary:        Tool to execute sysusers.d with shadow utilities
Group:          System/Packages
Requires:       shadow

%description -n sysuser-shadow
This package contians a tool, which expects as input a sysusers.d
configuration file and uses the shadow suite to create the users
and groups from it like systemd-sysusers would do.

%prep
%setup -qcT

%build

%install
install -D -m 755 %{SOURCE0} %{buildroot}%{_prefix}/lib/rpm/sysusers.prov
install -D -m 644 %{SOURCE1} %{buildroot}%{_prefix}/lib/rpm/fileattrs/sysusers.attr
install -D -m 755 %{SOURCE2} %{buildroot}%{_prefix}/lib/rpm/sysusers-generate-pre
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/rpm/macros.sysusers
install -D -m 755 %{SOURCE4} %{buildroot}%{_sbindir}/sysusers2shadow

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.sysusers
%{_prefix}/lib/rpm/sysusers.prov
%{_prefix}/lib/rpm/fileattrs/sysusers.attr
%{_prefix}/lib/rpm/sysusers-generate-pre

%files -n sysuser-shadow
%defattr(-,root,root)
%{_sbindir}/sysusers2shadow

%changelog
* Mon Oct  9 2017 dimstar@opensuse.org
- Furhter enhance sysusers-generate-pre: inside the build
  environment, it can be acceptable to be failing to create the
  users (e.g when building sysuser-tools or system-user-root, since
  those two packages have to be speificallty excluded). Always
  return with error code 0 if /.buildenv exists.
* Wed Sep 27 2017 dimstar@opensuse.org
- sysusers2shadow.sh: Exit if one of the useradd/groupadd/usermod
  call fails: the resulting system is quite undefined if this
  should happen.
- sysusers-generate-pre: exit the pre script with the exit code
  of sysusers2shadow.sh.
* Mon Jun 19 2017 kukuk@suse.de
- sysuser-tools needs to require sysuser-shadow
* Mon Jun 19 2017 kukuk@suse.de
- Add requires for shadow to sysuser-shadow
* Sun Jun 18 2017 kukuk@suse.de
- Put helper script into own subpackage
* Sat Jun 17 2017 kukuk@suse.de
- Convert sysusers config file to shadow arguments and use
  shadow suite to create user and groups. Fixes [bsc#1041497] and
  serveral dependency loops.
* Tue May 30 2017 kukuk@suse.de
- Don't ignore errors of systemd-sysusers [bsc#1039708]
* Wed Mar 15 2017 kukuk@suse.de
- Don't remove 'm' and 'r' entries from sysusers configuration
* Fri Jan 20 2017 kukuk@suse.de
- Add macros.sysusers
* Wed Dec 21 2016 lnussel@suse.de
- initial package
